org.richfaces.component

## Class UIDataFltrSlider

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.richfaces.component.UIDataFltrSlider

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.event.DataFilterSliderSource
  Direct Known Subclasses:
    HtmlDataFilterSlider

      public abstract class UIDataFltrSlider
      extends org.ajax4jsf.component.AjaxActionComponent
      implements org.richfaces.event.DataFilterSliderSource

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE` The component type for this component.

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIDataFltrSlider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSliderListener(org.richfaces.event.DataFilterSliderListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `void` | `decode(javax.faces.context.FacesContext context)`
    `void` | `filterDataTable(int sliderVal)`
    `protected javax.faces.component.UIData` | `getDataTable()` Finds the dataTable which id is mapped to the "for" property
    `abstract java.lang.Integer` | `getEndRange()`
    `protected javax.faces.context.FacesContext` | `getFacesContext()`
    `abstract java.lang.String` | `getFieldStyleClass()`
    `abstract java.lang.String` | `getFilterBy()`
    `abstract java.lang.String` | `getFor()`
    `abstract java.lang.String` | `getForValRef()`
    `abstract java.lang.String` | `getHandleStyleClass()`
    `abstract java.lang.Integer` | `getHandleValue()`
    `abstract java.lang.Integer` | `getIncrement()`
    `abstract java.lang.String` | `getRangeStyleClass()`
    `boolean` | `getRendersChildren()`
    `abstract javax.faces.el.MethodBinding` | `getSliderListener()`
    `org.richfaces.event.DataFilterSliderListener[]` | `getSliderListeners()`
    `java.lang.String` | `getSliderRange()`
    `abstract java.lang.Integer` | `getStartRange()`
    `abstract java.lang.String` | `getStyleClass()`
    `abstract java.lang.String` | `getTrackStyleClass()`
    `abstract java.lang.String` | `getTrailerStyleClass()`
    `javax.faces.component.UIData` | `getUIData()`
    `boolean` | `isActive()`
    `abstract boolean` | `isManualInput()`
    `abstract boolean` | `isStoreResults()`
    `abstract boolean` | `isSubmitOnSlide()`
    `abstract boolean` | `isTrailer()`
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `void` | `processUpdates(javax.faces.context.FacesContext context)` In addition to the standard `processUpdates` behavior inherited from `UIComponentBase`, calls `updateModel()`.
    `void` | `removeSliderListener(org.richfaces.event.DataFilterSliderListener listener)`
    `void` | `resetDataTable()`
    `void` | `setActive(boolean active)`
    `abstract void` | `setEndRange(java.lang.Integer endRange)`
    `abstract void` | `setFieldStyleClass(java.lang.String fieldStyleClass)`
    `abstract void` | `setFilterBy(java.lang.String filterBy)`
    `abstract void` | `setFor(java.lang.String _for)`
    `abstract void` | `setForValRef(java.lang.String forValRef)`
    `abstract void` | `setHandleStyleClass(java.lang.String handleStyleClass)`
    `abstract void` | `setHandleValue(java.lang.Integer handleValue)`
    `abstract void` | `setIncrement(java.lang.Integer increment)`
    `abstract void` | `setManualInput(boolean manualInput)`
    `abstract void` | `setRangeStyleClass(java.lang.String rangeStyleClass)`
    `abstract void` | `setSliderListener(javax.faces.el.MethodBinding binding)`
    `abstract void` | `setStartRange(java.lang.Integer startRange)`
    `abstract void` | `setStoreResults(boolean storeResults)`
    `abstract void` | `setStyleClass(java.lang.String styleClass)`
    `abstract void` | `setSubmitOnSlide(boolean value)`
    `abstract void` | `setTrackStyleClass(java.lang.String trackStyleClass)`
    `abstract void` | `setTrailer(boolean trailer)`
    `abstract void` | `setTrailerStyleClass(java.lang.String trailerStyleClass)`
    `protected void` | `setupReRender(javax.faces.context.FacesContext context)`
    `protected void` | `updateModel(javax.faces.context.FacesContext context)`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      The component type for this component.
      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIDataFltrSlider

          public UIDataFltrSlider()

  - ### Method Detail

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.component.UIComponentBase`

    - #### addSliderListener

          public void addSliderListener(org.richfaces.event.DataFilterSliderListener listener)

      Specified by:
        `addSliderListener` in interface `org.richfaces.event.DataFilterSliderSource`

    - #### getSliderListeners

          public org.richfaces.event.DataFilterSliderListener[] getSliderListeners()

      Specified by:
        `getSliderListeners` in interface `org.richfaces.event.DataFilterSliderSource`

    - #### removeSliderListener

          public void removeSliderListener(org.richfaces.event.DataFilterSliderListener listener)

      Specified by:
        `removeSliderListener` in interface `org.richfaces.event.DataFilterSliderSource`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.ajax4jsf.component.AjaxActionComponent`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### setupReRender

          protected void setupReRender(javax.faces.context.FacesContext context)

      Overrides:
        `setupReRender` in class `org.ajax4jsf.component.AjaxActionComponent`

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      In addition to the standard `processUpdates` behavior inherited from `UIComponentBase`, calls `updateModel()`. If the component is invalid afterwards, calls `FacesContext.renderResponse()`. If a `RuntimeException` is thrown during update processing, calls `FacesContext.renderResponse()` and re-throw the exception.

      Overrides:
        `processUpdates` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.lang.NullPointerException`

    - #### updateModel

          protected void updateModel(javax.faces.context.FacesContext context)

    - #### isActive

          public boolean isActive()

      Returns:
        Returns the active.

    - #### setActive

          public void setActive(boolean active)

      Parameters:
        `active` - The active to set. This method should never be called from user code.

    - #### getUIData

          public javax.faces.component.UIData getUIData()

    - #### getDataTable

          protected javax.faces.component.UIData getDataTable()

      Finds the dataTable which id is mapped to the "for" property
      Returns:
        the dataTable component

    - #### resetDataTable

          public void resetDataTable()

    - #### filterDataTable

          public void filterDataTable(int sliderVal)

    - #### getSliderRange

          public java.lang.String getSliderRange()

    - #### setSliderListener

          public abstract void setSliderListener(javax.faces.el.MethodBinding binding)

    - #### getSliderListener

          public abstract javax.faces.el.MethodBinding getSliderListener()

    - #### getTrackStyleClass

          public abstract java.lang.String getTrackStyleClass()

    - #### setTrackStyleClass

          public abstract void setTrackStyleClass(java.lang.String trackStyleClass)

    - #### isSubmitOnSlide

          public abstract boolean isSubmitOnSlide()

    - #### setSubmitOnSlide

          public abstract void setSubmitOnSlide(boolean value)

    - #### isStoreResults

          public abstract boolean isStoreResults()

    - #### setStoreResults

          public abstract void setStoreResults(boolean storeResults)

    - #### getForValRef

          public abstract java.lang.String getForValRef()

    - #### setForValRef

          public abstract void setForValRef(java.lang.String forValRef)

    - #### getFilterBy

          public abstract java.lang.String getFilterBy()

    - #### setFilterBy

          public abstract void setFilterBy(java.lang.String filterBy)

    - #### getFor

          public abstract java.lang.String getFor()

    - #### setFor

          public abstract void setFor(java.lang.String _for)

    - #### setStyleClass

          public abstract void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          public abstract java.lang.String getStyleClass()

    - #### setFieldStyleClass

          public abstract void setFieldStyleClass(java.lang.String fieldStyleClass)

    - #### getFieldStyleClass

          public abstract java.lang.String getFieldStyleClass()

    - #### getStartRange

          public abstract java.lang.Integer getStartRange()

    - #### setStartRange

          public abstract void setStartRange(java.lang.Integer startRange)

    - #### getEndRange

          public abstract java.lang.Integer getEndRange()

    - #### setEndRange

          public abstract void setEndRange(java.lang.Integer endRange)

    - #### getIncrement

          public abstract java.lang.Integer getIncrement()

    - #### setIncrement

          public abstract void setIncrement(java.lang.Integer increment)

    - #### getRangeStyleClass

          public abstract java.lang.String getRangeStyleClass()

    - #### setRangeStyleClass

          public abstract void setRangeStyleClass(java.lang.String rangeStyleClass)

    - #### isTrailer

          public abstract boolean isTrailer()

    - #### setTrailer

          public abstract void setTrailer(boolean trailer)

    - #### getTrailerStyleClass

          public abstract java.lang.String getTrailerStyleClass()

    - #### setTrailerStyleClass

          public abstract void setTrailerStyleClass(java.lang.String trailerStyleClass)

    - #### getHandleStyleClass

          public abstract java.lang.String getHandleStyleClass()

    - #### setHandleStyleClass

          public abstract void setHandleStyleClass(java.lang.String handleStyleClass)

    - #### getHandleValue

          public abstract java.lang.Integer getHandleValue()

    - #### setHandleValue

          public abstract void setHandleValue(java.lang.Integer handleValue)

    - #### isManualInput

          public abstract boolean isManualInput()

    - #### setManualInput

          public abstract void setManualInput(boolean manualInput)

    - #### getFacesContext

          protected javax.faces.context.FacesContext getFacesContext()

      Overrides:
        `getFacesContext` in class `javax.faces.component.UIComponentBase`

    - #### decode

          public void decode(javax.faces.context.FacesContext context)

      Overrides:
        `decode` in class `javax.faces.component.UIComponentBase`

Copyright © 2014. All Rights Reserved.